Quantcast

[gdal-dev] SystemErrors when running GDAL with python3 bindings

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[gdal-dev] SystemErrors when running GDAL with python3 bindings

Aman Thakral
Hi All,

I'm trying to add python3 support to a personal project:


My unit tests pass with python2, but fail with python3.  I'm getting the following errors:

StopIteration

During handling of the above exception, another exception occurred:

SystemError: <built-in function delete_SpatialReference> returned a result with an error set

During handling of the above exception, another exception occurred:

SystemError: <built-in function delete_Geometry> returned a result with an error set

I recently compiled a local GDAL 2.1.2 and am running the tests as follows:

#!/bin/bash
set -e
set -x

export GDAL_HOME=$HOME/local
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$GDAL_HOME/lib
nosetests -v

Has anyone see these errors before?  My system wide gdal is 1.11.2 that I am using for python 2.  I tried using my system wide GDAL with python3 as well, but get the same errors.

Not sure what the difference is here between the python2 and python3 versions.

My python versions are 2.7 and 3.5.

Is this a known problem?  Any help would be greatly appreciated.

Thanks!
Aman

_______________________________________________
gdal-dev mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/gdal-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: SystemErrors when running GDAL with python3 bindings

Even Rouault-2

On samedi 17 décembre 2016 14:13:38 CET Aman Thakral wrote:

> Hi All,

>

> I'm trying to add python3 support to a personal project:

>

> https://github.com/granularag/pyspatial/tree/feature/python2_3_support

>

> Has anyone see these errors before? My system wide gdal is 1.11.2 that I

> am using for python 2. I tried using my system wide GDAL with python3 as

> well, but get the same errors.

>

> Not sure what the difference is here between the python2 and python3

> versions.

>

> My python versions are 2.7 and 3.5.

>

> Is this a known problem? Any help would be greatly appreciated.

 

This has been reported last week and fixed in trunk per

https://trac.osgeo.org/gdal/ticket/6749

 

Even

 

--

Spatialys - Geospatial professional services

http://www.spatialys.com


_______________________________________________
gdal-dev mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/gdal-dev
Loading...